
/* mobile first */
#minha_div{
    display: grid;
    margin:auto;
    width: 80vw;
    grid-template-areas: /* cria as áreas em quatro linhas */
    'a1'
    'a2'
    'a3'
    'a4'
    ;
}

#minha_div h3{
    text-align: center;
}

/* cada div fica tem sua área */
#um{
    grid-area: a1;
}

#dois {
    grid-area: a2;
}

#tres {
    grid-area: a3;
}

#quatro {
    grid-area: a4;
}

@media screen and (min-width: 800px) {
 #minha_div{
    grid-template-areas: /* muda as áreas para duas linhas reordenando */
    'a1 a3'
    'a2 a4'
    ;
 }   
}